TRUNCATE_INODE_PAGES(9)

NAME
truncate_inode_pages - truncate *all* the pages from an offset

SYNOPSIS

void truncate_inode_pages(struct address_space * mapping, loff_t lstart);

ARGUMENTS

mapping
    mapping to truncate

lstart
    offset from which to truncate

DESCRIPTION

Called under (and serialised by) inode->i_mutex.

NOTE

When this function returns, there can be a page in the process of deletion (inside __delete_from_page_cache) in the specified range. Thus mapping->nrpages can be non-zero when this function returns even after truncation of the whole mapping.

COPYRIGHT